Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066764 - No graphics in X.org with Radeon HD6550D and kernel-3.13.3-201.fc20
Summary: No graphics in X.org with Radeon HD6550D and kernel-3.13.3-201.fc20
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 04:50 UTC by Joonas Sarajärvi
Modified: 2015-06-29 15:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:18:10 UTC


Attachments (Terms of Use)
X.org log from the boot where X did not actually manage to display anything (deleted)
2014-02-19 04:50 UTC, Joonas Sarajärvi
no flags Details
Text from systemd journal of a boot cycle where the issue happened (deleted)
2014-02-19 04:53 UTC, Joonas Sarajärvi
no flags Details
xorg.0.log (deleted)
2014-02-21 02:16 UTC, Nathan Crubel
no flags Details
lspci of vga hardware (deleted)
2014-02-21 02:17 UTC, Nathan Crubel
no flags Details
Output of journalctl -b with kernel-3.13.4-200.fc20.x86_64 (deleted)
2014-02-24 14:20 UTC, Joonas Sarajärvi
no flags Details

Description Joonas Sarajärvi 2014-02-19 04:50:20 UTC
Created attachment 864966 [details]
X.org log from the boot where X did not actually manage to display anything

Description of problem:
If I boot the latest kernel version on my desktop system, it otherwise boots normally but when GDM is expected to show up, the display just goes off. My guess is that there just is no signal being output into the display.

In this state, the computer can still be turned off in a controlled manner,
by pressing ctrl-alt-f2 and ctrl-alt-del. So it looks like most of the system
is still running normally despite me not getting any video output.

If I boot an earlier kernel, graphics still work completely normally.

Version-Release number of selected component (if applicable):
kernel-3.12.10-300.fc20.x86_64 (works)
kernel-3.13.3-201.fc20.x86_64 (does not work)
xorg-x11-drv-ati-7.2.0-3.20131101git3b38701.fc20.x86_64

How reproducible:
Seems to happen every time.

Steps to Reproduce:
1. Install F20 and latest updates
2. Boot with kernel-3.13.3-201.fc20.x86_64
3. Wait for GDM to show up

Actual results:
When GDM is expected to be displayed, the display device just switches itself off.

Expected results:
Graphics as usuall

Comment 1 Joonas Sarajärvi 2014-02-19 04:53:37 UTC
Created attachment 864967 [details]
Text from systemd journal of a boot cycle where the issue happened

Comment 2 Nathan Crubel 2014-02-19 16:15:14 UTC
Same issues with KDE.

Comment 3 Nathan Crubel 2014-02-21 02:16:21 UTC
Created attachment 865772 [details]
xorg.0.log

Comment 4 Nathan Crubel 2014-02-21 02:17:10 UTC
Created attachment 865773 [details]
lspci of vga hardware

Comment 5 Joonas Sarajärvi 2014-02-24 14:20:29 UTC
Created attachment 866980 [details]
Output of journalctl -b with kernel-3.13.4-200.fc20.x86_64

Comment 6 Joonas Sarajärvi 2014-02-24 14:21:42 UTC
This problem seems to still be present for me in kernel-3.13.4-200.fc20.x86_64 that I got from updates-testing.

Please note if it is a bad idea to post the journalctl output for every kernel version that I test.

Comment 7 Joonas Sarajärvi 2014-03-09 20:10:29 UTC
With the upstream kernel git repository, I bisected this problem to start to occur from commit ad41550666f89b5af9335fcde9e98b61190daf99 onwards. According to the commit message, it enables HDMI audio by default for the radeon driver. This seems to break the driver on my system.

As a workaround, the radeon.audio=0 boot parameter can be used to disable the HDMI audio functionality. After doing so, graphics work again for me.

Comment 8 Nathan Crubel 2014-03-17 15:07:44 UTC
I did a net install of fedora 20 and the video now works.  I also see the amd gpu reports properly.

Comment 9 Ugb3 2014-03-30 13:29:49 UTC
I had quite the same problem with a 4550 : Could only boot with nomodeset or i would get a black screen, but with radeon.audio=0 I can boot.

Comment 10 Nathan Crubel 2014-07-10 19:15:08 UTC
With kernel kernel-3.14.8-200.fc20.x86_64 when laptop goes to sleep, it goes to sleep fine, but on start up from sleep, laptop screen does not turn on, or is anything responsive, like hitting the power button to shutdown.  Holding the power button and restarting, it comes back fine.  No errors I can fine from the sleep to start.

Comment 11 Paul DeStefano 2014-08-08 04:43:35 UTC
This sounds like my issue, though I'm not sure.  Next time I upgrade kernel I'll try comment 9 nomodeset & radeon.audio=0.

Without proprietary drivers, my system boots to X, but there is only a black background and a lonely mouse cursor.  The mouse works, but there's no DM to log in with.  I'm using lightdm, BTW.  I'm not sure when this started, but it wasn't this way when I installed F20, so it's a bug introduced to this "stable" release.

Comment 12 Paul DeStefano 2014-08-08 04:51:15 UTC
Oh, forgot to mention I have two 7870 cards; could be relevant.

Comment 13 Nathan Crubel 2014-08-08 15:46:28 UTC
Can you go back to a 3.14 kernel.  I am not able to run on a 3.15 kernel, as it kernel dumps on startup.

Comment 14 Fedora End Of Life 2015-05-29 10:58:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 15:18:10 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.